WineHQ

Adobe Photoshop Lightroom



Released: October 22, 2009­­

Application Details:

Version: 3.x (32-bit)
License: Retail
URL: http://www.adobe.com/products/...
Votes: Marked as obsolete
Latest Rating: Bronze
Latest Wine Version Tested: 1.7.7

Maintainers: About Maintainership

Free Download Lightroom 3.5

Test Results

Old test results
The test results you have selected are very old and may not represent the current state of Wine.
Selected Test Results

What works

Install works fine

What does not

When Lightroom is run (with wine 1.3.0), you cannot progress past the page that tells you an error has occurred. The reason for the error is that Lightroom will not create or store a catalogue on a network or removable media.

As far as Lightroom is concerned the Windows environment looks like a network drive and as a result LR just does not work.

I have tested Lightroom in a virtualised environment, but it is just toooo slow, I suspect the same would occur in wine.

Workarounds

What was not tested

everything, see above

Hardware tested

Graphics:

  • GPU:
  • Driver:

Additional Comments

It's very sad that this will not work in Wine, Lightroom is an awesome piece of software, but it is processor and memory hungry. Adobe seem to be reluctant to port Lightroom to Linux, odd in that there is a Mac version.

selected in Test Results table below
Operating systemTest dateWine versionInstalls?Runs?Used
Workaround?
RatingSubmitter
ShowDebian GNU/Linux 8.x "Jessie" x86_64Nov 27 20131.7.7Yes Yes Bronzean anonymous user 
ShowUbuntu 12.04 "Precise" amd64 (+ variants like Kubuntu)Jun 10 20131.5.31Yes Yes Goldan anonymous user 
ShowDebian GNU/Linux 7.x "Wheezy"May 24 20131.5.31Yes Yes Bronzean anonymous user 
ShowFedora 16 x86_64Oct 04 20121.5.13Yes Yes Garbagean anonymous user 
ShowUbuntu 11.10 "Oneiric" i386 (+ variants like Kubuntu)Apr 04 20121.4Yes Yes Silveran anonymous user 

Known Bugs

Bug # Description Status Resolution Other apps affected
38029 Adobe Lightroom 5.x - Vertical scrollbars are wrongly set as horizontal in classic window dialogs UNCONFIRMED View

Show all bugs

HowTo / Notes

HOWTO
To work optimally, Adobe Lightroom 3.0 requires the following dependencies to be installed:
  • MS Visual C++ 6 runtime
  • Standard RGB color profile
  • gdiplus.dll (graphical library)
  • Windows version set to 'vista' or 'win7'
You can easily set up your Wine environment for Lightroom using winetricks. The following command will get you started:
winetricks vcrun6 colorprofile corefonts gdiplus vista
If you experience problems with the menu bar up top not showing up, you have forgotten to set your Windows version.

Comments

Back